**aavmf-vars-mgr**: Tool for writing/extracting OVMF/AAVMF VARS file non-volatile variable values

 Options:
 --var <variable>          : Variable to be accessed (only the PK, KEK, db and dbx variables currently supported)
 --vars-file <VAR file>    : target VARS file (should be VARS file derived from OVMF/AAVMF VAR file template)
 --read                    : read specified variable value from VARS file (value output goes to stdout)
 --write                   : write specified variable value to VARS file (value read from stdin)
 --append                  : append specified variable value to existing variable value
 --erase                   : erase specified variable from VAR file.
 

 Example usage:

 Write a new dbx variable value into the specified VARS file:
 > aavmf-vars-mgr --var dbx --write --vars-file /usr/share/OVMF/Guest1_VARS.fd < dbxupdate_x64.esl

 Read db variable value from the specified VARS file (output goes to stdout):
 > aavmf-vars-mgr --var db --read --vars-file /usr/share/OVMF/Guest1_VARS.fd > Guest1_db.esl

 Write new db variable value to the specified VARS file:
 > aavmf-vars-mgr --var db --write --vars-file /usr/share/OVMF/Guest2_VARS.fd < Guest1_db.esl

 Append new dbx variable value to the existing variable value in the specified VARS file:
 > aavmf-vars-mgr --var dbx --append --vars-file /usr/share/OVMF/Guest1_VARS.fd < dbupdate_x64.esl

 Erase db variable from the specified VARS file:
 > aavmf-vars-mgr --var db --erase --vars-file /usr/share/OVMF/Guest1_VARS.fd

Read PK variable value from the specified VARS file (output goes to stdout):
 > aavmf-vars-mgr --var PK --read --vars-file /usr/share/OVMF/Guest1_VARS.fd > Guest1_PK.esl

 Write new KEK variable value to the specified VARS file:
 > aavmf-vars-mgr --var KEK --write --vars-file /usr/share/OVMF/Guest2_VARS.fd < Guest1_KEK.esl

NOTE: aavmf-vars-mgr can write both plain variable values (.esl files) or values which contain a EFI_VARIABLE_AUTHENTICATION_2 header (in which case the header is stripped off prior to processing)

NOTE: the .esl (efi signature list) files used with (i.e. input to or output from) aavmf-vars-mgr are identical to the .esl files used with the tools supplied with the efitools RPM (See:  git://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git). For example, the .esl files read from VARS file variable using aavmf-vars-mgr (see examples above) can be passed to the sig-list-to-certs utility to obtain the individual certs/hashes.
 
